LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
VBAScriptEventId.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::script
| Scripting language bindings.
module | com::sun::star::script::vba
| VBA scripting.

## Constant Groups
constants | com::sun::star::script::vba::VBAScriptEventId
| Identifies a VBA script event fired via XVBACompatibility::broadcastVBAScriptEvent(), and received by XVBAScriptListener::notifyVBAScriptEvent().

## Variables
const long | SCRIPT_STARTED = 0
| This event is fired when a VBA script in the current document has been started. More...
const long | SCRIPT_STOPPED = 1
| This event is fired when a VBA script in the current document stops running. More...
const long | INITIALIZE_USERFORM = 2
| This event is fired when a VBA script in the current document tries to instantiate a userform. More...